[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
FYI: yet another use of undefined AUTOMAKE_OPTIONS
From: |
Alexandre Duret-Lutz |
Subject: |
FYI: yet another use of undefined AUTOMAKE_OPTIONS |
Date: |
Thu, 05 Jun 2003 22:31:49 +0200 |
User-agent: |
Gnus/5.090016 (Oort Gnus v0.16) Emacs/21.3 (gnu/linux) |
I'm installing this on HEAD and branch-1-7.
2003-06-05 Alexandre Duret-Lutz <address@hidden>
* automake.in (check_gnu_standards): Use no-installman and
no-installinfo's locations.
(process_option_list): Fill %options with locations.
(check_cygnus) Fill $options{'no-installinfo'} and
$options{'no-dependencies'} with $cygnus_mode, so that it
remains a Location.
* tests/gnuwarn2.test: New file.
* tests/Makefile.am (TESTS): Add gnuwarn2.test.
Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1465
diff -u -r1.1465 automake.in
--- automake.in 4 Jun 2003 20:18:36 -0000 1.1465
+++ automake.in 5 Jun 2003 18:52:15 -0000
@@ -1386,14 +1386,14 @@
foreach (@list)
{
- $options{$_} = 1;
+ $options{$_} = $where;
if ($_ eq 'gnits' || $_ eq 'gnu' || $_ eq 'foreign')
{
&set_strictness ($_);
}
elsif ($_ eq 'cygnus')
{
- $cygnus_mode = 1;
+ $cygnus_mode = $where;
}
elsif (/^(.*\/)?ansi2knr$/)
{
@@ -5145,8 +5145,8 @@
return unless $cygnus_mode;
&set_strictness ('foreign');
- $options{'no-installinfo'} = 1;
- $options{'no-dependencies'} = 1;
+ $options{'no-installinfo'} = $cygnus_mode;
+ $options{'no-dependencies'} = $cygnus_mode;
$use_dependencies = 0;
err_ac "`AM_MAINTAINER_MODE' required when --cygnus specified"
@@ -5172,8 +5172,8 @@
for my $opt ('no-installman', 'no-installinfo')
{
- msg_var ('error-gnu', 'AUTOMAKE_OPTIONS',
- "option `$opt' disallowed by GNU standards")
+ msg ('error-gnu', $options{$opt},
+ "option `$opt' disallowed by GNU standards")
if (defined $options{$opt});
}
}
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.496
diff -u -r1.496 Makefile.am
--- tests/Makefile.am 4 Jun 2003 20:18:36 -0000 1.496
+++ tests/Makefile.am 5 Jun 2003 18:52:15 -0000
@@ -205,6 +205,7 @@
gettext.test \
gettext2.test \
gnuwarn.test \
+gnuwarn2.test \
gnits.test \
gnits2.test \
gnits3.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.638
diff -u -r1.638 Makefile.in
--- tests/Makefile.in 4 Jun 2003 20:18:36 -0000 1.638
+++ tests/Makefile.in 5 Jun 2003 18:52:15 -0000
@@ -316,6 +316,7 @@
gettext.test \
gettext2.test \
gnuwarn.test \
+gnuwarn2.test \
gnits.test \
gnits2.test \
gnits3.test \
Index: tests/gnuwarn2.test
===================================================================
RCS file: tests/gnuwarn2.test
diff -N tests/gnuwarn2.test
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ tests/gnuwarn2.test 5 Jun 2003 18:52:15 -0000
@@ -0,0 +1,49 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Check diagnostics about no-installman being disallowed in `gnu'.
+
+. ./defs || exit 1
+
+set -e
+
+cat > configure.in << 'END'
+AC_INIT([gnuwarn2], [1.0])
+AM_INIT_AUTOMAKE([no-installman])
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
+END
+
+# --gnu files
+: > NEWS
+: > README
+: > AUTHORS
+: > ChangeLog
+: > COPYING
+: > INSTSALL
+
+cat > Makefile.am << 'END'
+AUTOMAKE_OPTIONS = gnu
+END
+
+$ACLOCAL
+$AUTOMAKE 2>stderr && exit 1
+cat stderr
+grep 'configure.in:2:.*no-installman' stderr
--
Alexandre Duret-Lutz
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- FYI: yet another use of undefined AUTOMAKE_OPTIONS,
Alexandre Duret-Lutz <=